org.apache.lucene.codecs.compressing

## Class CompressingStoredFieldsIndexReader

- java.lang.Object
- - org.apache.lucene.codecs.compressing.CompressingStoredFieldsIndexReader

- All Implemented Interfaces:
    Cloneable, Accountable

      public final class CompressingStoredFieldsIndexReader
      extends Object
      implements Cloneable, Accountable

  Random-access reader for `CompressingStoredFieldsIndexWriter`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressingStoredFieldsIndexReader` | `clone()`
    `Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public CompressingStoredFieldsIndexReader clone()

      Overrides:
        `clone` in class `Object`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.
      Specified by:
        `ramBytesUsed` in interface `Accountable`

    - #### getChildResources

          public Collection<Accountable> getChildResources()

      Description copied from interface: `Accountable`
      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      Specified by:
        `getChildResources` in interface `Accountable`
      See Also:
        `Accountables`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.